require 'rails/generators'

module Latias
  module Influxdb
    class InstallGenerator < Rails::Generators::Base
      desc "Description:\n  This creates a Rails initializer for latias::InfluxDB::Rails."

      source_root File.expand_path('templates', __dir__)

      def copy_initializer_file
        template 'initializer.rb', 'config/initializers/latias_influxdb.rb'
      end

      def install
        # nothing to do here
      end
    end
  end
end
